package com.example.yyxx.merge.channel;


import android.app.Activity;


import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;


import android.content.res.Configuration;





import android.os.Bundle;


import android.util.Log;
import android.view.View;
import android.view.Window;
import android.view.WindowManager;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ScrollView;

import android.widget.Toast;


import org.json.JSONException;
import org.json.JSONObject;



import java.util.HashMap;



import cn.yyxx.commsdk.base.YYXXCommSdk;
import cn.yyxx.commsdk.base.constants.Constants;
import cn.yyxx.commsdk.base.entity.ResultInfo;
import cn.yyxx.commsdk.base.entity.SdkChargeInfo;
import cn.yyxx.commsdk.base.entity.SdkRoleInfo;
import cn.yyxx.commsdk.base.internal.ICallback;
import cn.yyxx.commsdk.base.utils.Logger;
import cn.yyxx.support.hawkeye.ToastUtils;


public class MainActivity extends Activity implements View.OnClickListener {

    private EditText et_hasgold;
    private EditText et_money;
    private EditText et_partyid;
    private EditText et_partyname;
    private EditText et_reincarnationrCount;
    private EditText et_rolectime;
    private EditText et_roleid;
    private EditText et_rolelevel;
    private EditText et_rolename;
    private EditText et_rolepower;
    private EditText et_rolesex;
    private EditText et_serveid;
    private EditText et_servername;
    private EditText et_viplevel;
    private EditText et_charge;
    private boolean isDebug = true;
    private Button logOut;
    private Button login_btn;
    private Button pay_btn;
    private Button permission;

    private Button upload_btn;
    private Button upload_btn1;
    private Button upload_btn2;
    private Button userCenter;


    @Override
    protected void onCreate(final Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

         requestWindowFeature(Window.FEATURE_NO_TITLE);
        //隐藏顶部状态栏
        getWindow().addFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN);

        setContentView(R.layout.activity_main);

        ScrollView ll = findViewById(R.id.scl_1);

        this.login_btn = (Button) findViewById(R.id.login_btn);
        this.upload_btn = (Button) findViewById(R.id.upload_btn);
        this.upload_btn1 = (Button) findViewById(R.id.upload_btn1);
        this.upload_btn2 = (Button) findViewById(R.id.upload_btn2);
        this.pay_btn = (Button) findViewById(R.id.pay_btn);
        this.logOut = (Button) findViewById(R.id.logout_btn);
        this.userCenter = (Button) findViewById(R.id.user_btn);
        this.permission = (Button) findViewById(R.id.permission);
        this.et_roleid = (EditText) findViewById(R.id.et_roleid);
        this.et_rolename = (EditText) findViewById(R.id.et_rolename);
        this.et_rolelevel = (EditText) findViewById(R.id.et_rolelevel);
        this.et_rolesex = (EditText) findViewById(R.id.et_rolesex);
        this.et_serveid = (EditText) findViewById(R.id.et_serveid);
        this.et_servername = (EditText) findViewById(R.id.et_servername);
        this.et_hasgold = (EditText) findViewById(R.id.et_hasgold);
        this.et_viplevel = (EditText) findViewById(R.id.et_viplevel);
        this.et_partyname = (EditText) findViewById(R.id.et_partyname);
        this.et_partyid = (EditText) findViewById(R.id.et_partyid);
        this.et_rolectime = (EditText) findViewById(R.id.et_rolectime);
        this.et_rolepower = (EditText) findViewById(R.id.et_rolepower);
        this.et_reincarnationrCount = (EditText) findViewById(R.id.et_reincarnationrCount);
        this.et_money = (EditText) findViewById(R.id.et_money);
        this.et_charge = findViewById(R.id.et_charge);
        this.upload_btn.setOnClickListener(this);
        this.upload_btn1.setOnClickListener(this);
        this.upload_btn2.setOnClickListener(this);
        this.pay_btn.setOnClickListener(this);
        this.logOut.setOnClickListener(this);
        this.userCenter.setOnClickListener(this);
        this.permission.setOnClickListener(this);
        this.login_btn.setOnClickListener(this);



        this.permission.setOnClickListener(this);




        YYXXCommSdk.getInstance().initialize(this, new ICallback() {
            @Override
            public void onResult(int i, String s) {
                ToastUtils.toastInfo(MainActivity.this,s);
            }
        });





    }


    @Override
    public void onClick(View view) {
        int id = view.getId();
        if (id == R.id.pay_btn) {
            HashMap hashMap = new HashMap();
            String obj = this.et_money.getText().toString();
            if (judgeStrNull(obj)) {
                ToastUtils.toastInfo(MainActivity.this,"输入金额不能为空");
                return;
            }

            SdkChargeInfo chargeInfo = new SdkChargeInfo();




            StringBuilder stringBuilder = new StringBuilder();
            stringBuilder.append(System.currentTimeMillis());
            stringBuilder.append("");

            chargeInfo.setGame_no(stringBuilder.toString());


            chargeInfo.setExt("111");


            chargeInfo.setCount("10");

            chargeInfo.setHasGold("120");
            chargeInfo.setOrder_desc("购买10元宝");
            chargeInfo.setProduct_name("10元宝");
            chargeInfo.setParty_name("霸天");
            chargeInfo.setParty_id("192828333955");
            chargeInfo.setPay_money(obj);
            chargeInfo.setRadio("10");
            chargeInfo.setReincarnationCount("0");
            chargeInfo.setProduct_name("元宝");
            chargeInfo.setRole_id("10086");
            chargeInfo.setRole_name("可爱小呆瓜");
            chargeInfo.setServer_id("100");
            chargeInfo.setServer_name("惊天1服");
            chargeInfo.setVip_level("10");
            chargeInfo.setProduct_id("com.yyxx.yb6");
            chargeInfo.setOrder_name("购买10元宝");
            chargeInfo.setRole_level("299");
            chargeInfo.setRoleCreateTime(System.currentTimeMillis() / 1000 +"");

            YYXXCommSdk.getInstance().charge(this, chargeInfo, new ICallback() {
                @Override
                public void onResult(int i, String s) {

                }
            });


        } else if (id != R.id.permission) {
            switch (id) {
                case R.id.login_btn:
                    YYXXCommSdk.getInstance().login(this, new ICallback() {
                        @Override
                        public void onResult(int i, String s) {
                            if (i == ResultInfo.CODE_SUCCESS){
                                ToastUtils.toastInfo(MainActivity.this,s);
                            }else{
                                ToastUtils.toastInfo(MainActivity.this,s);
                            }

                        }
                    });
                    break;
                case R.id.logout_btn /*2131034178*/:


                    break;
                default:
                    SdkRoleInfo roleInfo;
                    StringBuilder stringBuilder2;
                    switch (id) {
                        case R.id.upload_btn /*2131034222*/:
                            roleInfo = new SdkRoleInfo();
                            roleInfo.setRoleId(this.et_roleid.getText().toString());
                            roleInfo.setRoleName(this.et_rolename.getText().toString());
                            roleInfo.setRoleLevel(this.et_rolelevel.getText().toString());
                            roleInfo.setGender(this.et_rolesex.getText().toString());
                            roleInfo.setServerId(this.et_serveid.getText().toString());
                            roleInfo.setServerName(this.et_servername.getText().toString());
                            roleInfo.setHasGold(this.et_hasgold.getText().toString());
                            roleInfo.setVipLevel(this.et_viplevel.getText().toString());
                            roleInfo.setRolePower("7653471597");

                            roleInfo.setPartyId(this.et_partyid.getText().toString());
                            roleInfo.setPartyName(this.et_partyname.getText().toString());
                            roleInfo.setRoleCreateTime(this.et_rolectime.getText().toString());
                            roleInfo.setPartyId(this.et_partyid.getText().toString());
                            roleInfo.setReincarnationCount(this.et_reincarnationrCount.getText().toString());
                            roleInfo.setCharge(et_charge.getText().toString());
                            YYXXCommSdk.getInstance().uploadRoleInfo(this, Constants.UPLOAD_TYPE_CREATE_ROLE,roleInfo);
                            break;
                        case R.id.upload_btn1 /*2131034223*/:
                            roleInfo = new SdkRoleInfo();
                            roleInfo.setRoleId(this.et_roleid.getText().toString());
                            roleInfo.setRoleName(this.et_rolename.getText().toString());
                            roleInfo.setRoleLevel(this.et_rolelevel.getText().toString());
                            roleInfo.setGender(this.et_rolesex.getText().toString());
                            roleInfo.setServerId(this.et_serveid.getText().toString());
                            roleInfo.setServerName(this.et_servername.getText().toString());
                            roleInfo.setHasGold(this.et_hasgold.getText().toString());
                            roleInfo.setVipLevel(this.et_viplevel.getText().toString());
                            roleInfo.setRolePower("7653471597");

                            roleInfo.setPartyId(this.et_partyid.getText().toString());
                            roleInfo.setPartyName(this.et_partyname.getText().toString());
                            roleInfo.setRoleCreateTime(this.et_rolectime.getText().toString());
                            roleInfo.setPartyId(this.et_partyid.getText().toString());
                            roleInfo.setReincarnationCount(this.et_reincarnationrCount.getText().toString());
                            roleInfo.setCharge(et_charge.getText().toString());

                            YYXXCommSdk.getInstance().uploadRoleInfo(this, Constants.UPLOAD_TYPE_ENTER_GAME,roleInfo);


                            break;
                        case R.id.upload_btn2 /*2131034224*/:
                            roleInfo = new SdkRoleInfo();
                            roleInfo.setRoleId(this.et_roleid.getText().toString());
                            roleInfo.setRoleName(this.et_rolename.getText().toString());
                            roleInfo.setRoleLevel(this.et_rolelevel.getText().toString());
                            roleInfo.setGender(this.et_rolesex.getText().toString());
                            roleInfo.setServerId(this.et_serveid.getText().toString());
                            roleInfo.setServerName(this.et_servername.getText().toString());
                            roleInfo.setHasGold(this.et_hasgold.getText().toString());
                            roleInfo.setVipLevel(this.et_viplevel.getText().toString());
                            roleInfo.setRolePower(this.et_rolepower.getText().toString());
                            roleInfo.setPartyId(this.et_partyid.getText().toString());
                            roleInfo.setPartyName(this.et_partyname.getText().toString());
                            roleInfo.setRoleCreateTime(this.et_rolectime.getText().toString());
                            roleInfo.setPartyId(this.et_partyid.getText().toString());
                            roleInfo.setReincarnationCount(this.et_reincarnationrCount.getText().toString());
                            roleInfo.setCharge(et_charge.getText().toString());
                            YYXXCommSdk.getInstance().uploadRoleInfo(this, Constants.UPLOAD_TYPE_LEVEL_UPGRADE,roleInfo);
                        case R.id.user_btn /*2131034225*/:
                            JSONObject json = new JSONObject();
                            try {
                                json.put("AE", "xio");
                                json.put("AE5", "future");
                            } catch (JSONException e) {
                                e.printStackTrace();
                            }


                            YYXXCommSdk.getInstance().reportGameEvent("Car", json);
                            break;
                    }
                    break;
            }
        } else {
            Toast.makeText(this, String.format("%010d", new Object[]{Long.valueOf(System.currentTimeMillis() / 1000)}), Toast.LENGTH_LONG).show();
        }

    }



    @Override
    protected void onStart() {
        // TODO Auto-generated method stub
        YYXXCommSdk.getInstance().onStart(MainActivity.this);

        super.onStart();
    }

    @Override
    protected void onStop() {
        // TODO Auto-generated method stub
        YYXXCommSdk.getInstance().onStop(MainActivity.this);
        super.onStop();
    }

    @Override
    protected void onResume() {
        // TODO Auto-generated method stub
        super.onResume();
        YYXXCommSdk.getInstance().onResume(MainActivity.this);
    }

    @Override
    protected void onDestroy() {
        // TODO Auto-generated method stub
        YYXXCommSdk.getInstance().onDestroy(MainActivity.this);
        super.onDestroy();
//        System.exit(0);
    }

    @Override
    protected void onPause() {
        // TODO Auto-generated method stub
        super.onPause();
        YYXXCommSdk.getInstance().onPause(MainActivity.this);
    }

    @Override
    protected void onRestart() {
        super.onRestart();
        YYXXCommSdk.getInstance().onRestart(MainActivity.this);
    }


    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        // TODO Auto-generated method stub
        super.onActivityResult(requestCode, resultCode, data);
        YYXXCommSdk.getInstance().onActivityResult(this, requestCode, resultCode, data);

    }


    @Override
    public void onBackPressed() {
        YYXXCommSdk.getInstance().openExitView(this, new ICallback() {
            @Override
            public void onResult(int i, String s) {
                if (i == ResultInfo.CODE_SUCCESS){
                    if (YYXXCommSdk.getInstance().hasExitView(MainActivity.this)){
                        System.exit(0);
                    }else {
                        new AlertDialog.Builder(MainActivity.this)
                                .setMessage("是否关闭游戏？")
                                .setTitle("温馨提示")
                                .setPositiveButton("确定", new DialogInterface.OnClickListener() {
                                    @Override
                                    public void onClick(DialogInterface dialogInterface, int i) {
                                        System.exit(0);
                                    }
                                })
                                .setNegativeButton("取消",null)
                                .create()
                                .show();
                    }
                }
            }
        });

    }



    @Override
    public void onConfigurationChanged(Configuration newConfig) {
        // TODO Auto-generated method stub
        super.onConfigurationChanged(newConfig);
        YYXXCommSdk.getInstance().onConfigurationChanged(this,newConfig);
    }

    @Override


    public void onWindowFocusChanged(boolean hasFocus) {
        super.onWindowFocusChanged(hasFocus);
        YYXXCommSdk.getInstance().onWindowFocusChanged(this, hasFocus);
    }

    @Override
    protected void onNewIntent(Intent intent) {
        super.onNewIntent(intent);
        YYXXCommSdk.getInstance().onNewIntent(this, intent);
    }

    @Override
    public void onRequestPermissionsResult(int requestCode, String[] permissions, int[] grantResults) {
        super.onRequestPermissionsResult(requestCode, permissions, grantResults);
        YYXXCommSdk.getInstance().onRequestPermissionsResult(requestCode, permissions, grantResults);

    }



    public static boolean judgeStrNull(String str) {
        return str == null || str.equals("");
    }

    @Override
    protected void onSaveInstanceState(Bundle outState) {
        super.onSaveInstanceState(outState);
    }

}